<!-- StyleEditorのHTML -->
<div class="PivotTableInteraction PivotTableProperties">
	<!-- CSVファイルのフォーム -->
	<div class="panel">
		<label for="csv_file" class="csv-file-label i18n">CSV file</label>
		<input type="file" class="csv-select-form d-none" id="csvFile" name="csvFile" accept="text/csv" />
		<label for="csvFile" role="button" class="md-btn md-btn-prime small d-block mx-3 px-4 py-1">
			<span class="icon icon-folder-open p-0 m-0 text-white"></span>
			<span class="i18n">Select file</span>
		</label>
		<input type="hidden" class="csv-raw-data" id="csvData" name="csvData" value='{{csvData}}' />
		<input type="hidden" class="csv-column-names" id="csvColumnNames" name="csvColumnNames" value='{{csvColumnNames}}' />
		<input type="hidden" class="i18n-locale" id="i18nLocale" name="i18nLocale" value='{{i18nLocale}}' />
	</div>
	<!-- 基データラベル -->
	<div class="panel">
		<label for="rawDataCaption" class="has-icon i18n">{{__ "Raw data caption"}}</label>
		<input type="text" class="rawDataCaption" id="rawDataCaption" name="rawDataCaption" value='{{rawDataCaption}}' />
	</div>
	<!-- クロス集計表ラベル -->
	<div class="panel">
		<label for="pivotTableCaption" class="has-icon i18n">{{__ "Pivot Table caption"}}</label>
		<input type="text" class="pivotTableCaption" id="pivotTableCaption" name="pivotTableCaption" value='{{pivotTableCaption}}' />
	</div>
	<!-- 初期設定 列要素 -->
	<div class="panel">
		<label for="columnItems" class="i18n">{{__ "Column items"}}</label>
		<select name="columnItems" id="columnItems" data-has-search="false" size="8" multiple>
			{{#each columnItemsList}}
			<option value="{{@key}}" class="{{#if selected}}highlight{{/if}}" {{#if selected}}selected{{/if}} {{#if disabled}}disabled{{/if}}>
				{{label}}
			</option>
			{{/each}}
		</select>
	</div>
	<!-- 初期設定 行要素 -->
	<div class="panel">
		<label for="rowItems" class="i18n">{{__ "Row items"}}</label>
		<select name="rowItems" id="rowItems" data-has-search="false" size="8" multiple>
			{{#each rowItemsList}}
			<option value="{{@key}}" class="{{#if selected}}highlight{{/if}}" {{#if selected}}selected{{/if}} {{#if disabled}}disabled{{/if}}>{{label}}</option>
			{{/each}}
		</select>
	</div>
	<!-- グラフ種別指定 -->
	<div class="panel">
		<label for="selectableGraphTypes" class="i18n">{{__ "Selectable Table/Graph Types"}}</label>
		<select name="selectableGraphTypes" id="selectableGraphTypes" data-has-search="false" size="8" multiple>
			{{#each selectableGraphTypesList}}
			<option value="{{@key}}" {{#if selected}}selected{{/if}}>{{label}}</option>
			{{/each}}
		</select>
	</div>
	<!-- グラフ種別指定 -->
	<div class="panel">
		<label for="graphType" class="i18n">{{__ "Table/Graph Type"}}</label>
		<select name="graphType" id="graphType" data-has-search="false">
			{{#each graphTypeList}}
			<option value="{{@key}}" {{#if selected}}selected{{/if}}>{{label}}</option>
			{{/each}}
		</select>
	</div>
	<div class="card card-style-editor p-2 shadow-2dp">
		<!-- 集計方法指定 -->
		<div class="panel">
			<label for="aggregator" class="i18n">{{__ "Aggregator"}}</label>
			<select name="aggregator" id="aggregator" data-has-search="false">
				{{#each aggregatorList}}
				<option value="{{@key}}" {{#if selected}}selected{{/if}} data-attributes="{{attributes}}">{{label}}
				</option>
				{{/each}}
			</select>
			<script>
				$(document).ready(function () {
					var attributes = $('select#aggregator>option:selected').data("attributes");
					if (attributes == 1) {
						// 引数１つの場合はattribute2を無効にする
						$('select#attribute2').prop("disabled", true);
					}
					else if (attributes == 2) {
						// 引数２つの場合は何もしない
					}
					else {
						// 引数無しの場合はattributes1,2を無効にする
						$('select#attribute1').prop("disabled", true);
						$('select#attribute2').prop("disabled", true);
					}
				});
			</script>
		</div>
		<!-- 属性１指定 -->
		<div class="panel">
			<label for="attribute1" class="i18n">{{__ "Attribute 1"}}</label>
			<select name="attribute1" id="attribute1" data-has-search="false">
				<option value="">-</option>
				{{#each attribute1List}}
				<option value="{{@key}}" {{#if selected}}selected{{/if}}>{{label}}</option>
				{{/each}}
			</select>
		</div>
		<!-- 属性２指定 -->
		<div class="panel">
			<label for="attribute2" class="i18n">{{__ "Attribute 2"}}</label>
			<select name="attribute2" id="attribute2" data-has-search="false">
				<option value="">-</option>
				{{#each attribute2List}}
				<option value="{{@key}}" {{#if selected}}selected{{/if}}>{{label}}</option>
				{{/each}}
			</select>
		</div>
	</div>
	<!-- グラフの配色 -->
	<div class="panel">
		<label for="colorScheme" class="i18n">{{__ "Color scheme"}}</label>
		<select name="colorScheme" id="colorScheme" data-has-search="false">
			{{#each colorSchemeList}}
			<option value="{{value}}" {{#if selected}}selected="selected" {{/if}}>{{label}}</option>
			{{/each}}
		</select>
	</div>
	<!-- 操作ログ -->
	<div class="panel">
		<input id="storeOperationLog" name="storeOperationLog" type="checkbox" {{#if storeOperationLog}}checked{{/if}} style="vertical-align: middle;" />
		<label for="storeOperationLog" class="i18n">{{__ "Store operation log"}}</label>
	</div>
	<!-- ID -->
	<div class="panel">
		<label for="" class="has-icon i18n">Response identifier</label>
		<input type="text" name="identifier" value="{{identifier}}" placeholder="e.g. RESPONSE" data-validate="$notEmpty; $qtiIdentifier; $availableIdentifier(serial={{serial}});" />
	</div>
</div>